import { Component, OnInit, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material';

export interface CreateGroupDialogData {
  title: string;
  message?: string;
}

export interface CreateGroupDialogResult {
  choice: boolean;
}

@Component({
  selector: 'app-layout-messenger-create-group',
  templateUrl: './create-group.dialog.component.html',
  styleUrls: ['./create-group.dialog.component.scss']
})
export class CreateGroupDialogComponent implements OnInit {
  constructor(
    public dialogRef: MatDialogRef<
      CreateGroupDialogData,
      CreateGroupDialogResult
    >,
    @Inject(MAT_DIALOG_DATA) public data: CreateGroupDialogData
  ) {}

  ngOnInit(): void {}

  onClickChoice(choice: boolean): void {
    this.dialogRef.close({
      choice
    });
  }
}
